1. Order
Corpayss
  • Acquirer
    • Merchant
      • Create Merchant
      • Get Merchant
      • Update Merchant
      • Search Merchant
    • Terminal
      • Create Terminal
      • Get Terminal
      • Update Terminal
      • Search Terminal
    • Deprecated - Commission Profile
      • Create Commission Profile
      • Get Commission Profile
      • Update Commission Profile
      • Delete Commission Profile
    • Pos Authorization Profile
      • Create Pos Authorization Profile
      • Get Pos Authorization Profile
      • Update Pos Authorization Profile
      • Delete Pos Authorization Profile
    • Pos Fee Profile
      • Create Pos Fee Profile
      • Get Pos Fee Profile
      • Update Pos Fee Profile
      • Delete Pos Fee Profile
    • Create Merchant and Terminal
      POST
    • Get Merchant Payment Summary
      GET
    • Get Merchant Payment Detail
      GET
    • Get Pos Batch Summary
      GET
    • Get Pos Batch Detail
      GET
    • Close Pos Batch
      POST
  • Issuer
    • Customer
      • Create Customer
      • Get Customer Info
      • Get Card Customer Info
      • Update Customer
      • Update Customer Limit
    • Card
      • Creation & Registration
        • Create Credit Card
        • Create Debit Card
        • Create Prepaid Card
        • Create Emboss Directive
        • Register Card
      • Information & Status Management
        • Get Card Info
        • Get Card Status
        • Get Host Balance
        • Update Card Limit
        • Update Card Status
        • Update Card Fee Status
      • Transactions & Balance Operations
        • Get Card Transactions
        • Send Transaction
        • Load Card Balance
        • Card To Card Balance Transfer
        • Money Send
      • Security & Authentication
        • Verify Card
        • Get Card Pin
        • Send PIN By SMS
        • Check Pin
        • Change Card Pin
        • Reset Cvv 2 Retry Count
        • Change 3DS Password
      • Maintenance & Restrictions
        • Get Card Restriction
        • Card Restriction
        • Card Renewal
      • Tokenization
        • Tokenize Card No
      • Deprecated
        • Get Card Balance Loading Limit
        • Get Card No
        • Get Card Private Info
  • VPOS
    • 3DS Transaction
      • ThreeD - Sale
      • ThreeD - Pre Sale
      • ThreeD - Complete 3DS Payment
    • NonSecure
      • Batch Close
      • Payment Sale
      • Installment Inquiry
      • Point Inquiry
      • Payment Pre Sale
      • Payment Post Sale
      • Payment Void
      • Payment Refund
    • QR Transaction
      • QR Payment CreateQr
    • Inquiry
      • Chek ByToken
      • Check By Order ID
      • Chek By Process ID
      • List By Order ID
    • Order
      • Create Order 3D
        POST
      • Create Order
        POST
    • Recurring
      • Create Recurring
      • Get Recurring
      • Update Recurring
      • Cancel Recurring
  1. Order

Create Order

POST
/api/Order/CreateOrder

Request

Header Params

Body Params application/json

Example
{
    "orderId": "{{$timestamp}}",
    "orderType": "L",
    "requestType": "3DS-MODEL",
    "txnType": "Sale",
    "amount": 923,
    "currency": 978,
    "installmentCount": 7,
    "lang": "EN",
    "additionalInfo": "in magna ipsum consectetur Ut",
    "invoiceInfo": "nisi exercitation",
    "returnUrl": "https://faraway-begonia.org/",
    "callbackUrl": "https://noxious-derby.name/",
    "subMerchantId": "99",
    "subMerchantName": "Whitney Goyette",
    "subMerchantMcc": "i",
    "subMerchantPostalCode": "56217-8730",
    "subMerchantCity": "Pourosfurt",
    "subMerchantCountryCode": "WS"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://vpospayment.corpayss.net/api/Order/CreateOrder' \
--header 'x_client_token: 385cd69c-d76b-4dc7-827a-5663465f01ba' \
--header 'Accept-Language: EN' \
--header 'Content-Type: application/json' \
--data-raw '{
    "orderId": "{{$timestamp}}",
    "orderType": "L",
    "requestType": "3DS-MODEL",
    "txnType": "Sale",
    "amount": 923,
    "currency": 978,
    "installmentCount": 7,
    "lang": "EN",
    "additionalInfo": "in magna ipsum consectetur Ut",
    "invoiceInfo": "nisi exercitation",
    "returnUrl": "https://faraway-begonia.org/",
    "callbackUrl": "https://noxious-derby.name/",
    "subMerchantId": "99",
    "subMerchantName": "Whitney Goyette",
    "subMerchantMcc": "i",
    "subMerchantPostalCode": "56217-8730",
    "subMerchantCity": "Pourosfurt",
    "subMerchantCountryCode": "WS"
}'

Responses

🟢200OK
application/json
Success
Body

Example
{}
Modified at 2026-04-14 11:06:19
Previous
Create Order 3D
Next
Create Recurring
Built with